org.apache.cassandra.cql3.statements

## Enum StatementType

- java.lang.Object
- - java.lang.Enum<StatementType>
  - - org.apache.cassandra.cql3.statements.StatementType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StatementType>

    public enum StatementType
    extends java.lang.Enum<StatementType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE`
`INSERT`
`SELECT`
`UPDATE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `allowClusteringColumnSlices()` Checks this type of statement allow the where clause to contains clustering column slices.
`boolean` `allowNonPrimaryKeyInWhereClause()` Checks if this type of statement allow non primary key in the where clause.
`boolean` `allowPartitionKeyRanges()` Checks this statement allow the where clause to contains missing partition key components or token relation.
`boolean` `allowUseOfSecondaryIndices()` Checks if this type of statement allow the use of secondary indices.
`boolean` `isDelete()` Checks if this type is a delete.
`boolean` `isInsert()` Checks if this type is an insert.
`boolean` `isSelect()` Checks if this type is a select.
`boolean` `isUpdate()` Checks if this type is an update.
`static StatementType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StatementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSERT

    public static final StatementType INSERT

#### UPDATE

    public static final StatementType UPDATE

#### DELETE

    public static final StatementType DELETE

#### SELECT

    public static final StatementType SELECT

### Method Detail

#### values

    public static StatementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StatementType c : StatementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StatementType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isInsert

    public boolean isInsert()

Checks if this type is an insert.

Returns:
  `true` if this type is an insert, `false` otherwise.

#### isUpdate

    public boolean isUpdate()

Checks if this type is an update.

Returns:
  `true` if this type is an update, `false` otherwise.

#### isDelete

    public boolean isDelete()

Checks if this type is a delete.

Returns:
  `true` if this type is a delete, `false` otherwise.

#### isSelect

    public boolean isSelect()

Checks if this type is a select.

Returns:
  `true` if this type is a select, `false` otherwise.

#### allowPartitionKeyRanges

    public boolean allowPartitionKeyRanges()

Checks this statement allow the where clause to contains missing partition key components or token relation.

Returns:
  `true` if this statement allow the where clause to contains missing partition key components or token relation, `false` otherwise.

#### allowClusteringColumnSlices

    public boolean allowClusteringColumnSlices()

Checks this type of statement allow the where clause to contains clustering column slices.

Returns:
  `true` if this type of statement allow the where clause to contains clustering column slices, `false` otherwise.

#### allowNonPrimaryKeyInWhereClause

    public boolean allowNonPrimaryKeyInWhereClause()

Checks if this type of statement allow non primary key in the where clause.

Returns:
  `true` if this type of statement allow non primary key in the where clause, `false` otherwise.

#### allowUseOfSecondaryIndices

    public boolean allowUseOfSecondaryIndices()

Checks if this type of statement allow the use of secondary indices.

Returns:
  `true` if this type of statement allow the use of secondary indices, `false` otherwise.